pandoc-3.7.0.2: Conversion between markup formats

Copyright | Copyright (C) 2006-2024 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Readers.LaTeX

Description

Conversion of LaTeX to `Pandoc` document.

Synopsis

- readLaTeX :: (PandocMonad m, ToSources a) => ReaderOptions -> a -> m Pandoc
- applyMacros :: forall (m :: Type -> Type) s. (PandocMonad m, HasMacros s, HasReaderOptions s) => Text -> ParsecT Sources s m Text
- rawLaTeXInline :: forall (m :: Type -> Type) s. (PandocMonad m, HasMacros s, HasReaderOptions s) => ParsecT Sources s m Text
- rawLaTeXBlock :: forall (m :: Type -> Type) s. (PandocMonad m, HasMacros s, HasReaderOptions s) => ParsecT Sources s m Text
- inlineCommand :: forall (m :: Type -> Type). PandocMonad m => ParsecT Sources ParserState m Inlines

# Documentation

readLaTeX #

Arguments

:: (PandocMonad m, ToSources a) |
=> ReaderOptions | Reader options
-> a | Input to parse
-> m Pandoc |

Parse LaTeX from string and return `Pandoc` document.

applyMacros :: forall (m :: Type -> Type) s. (PandocMonad m, HasMacros s, HasReaderOptions s) => Text -> ParsecT Sources s m Text #

rawLaTeXInline :: forall (m :: Type -> Type) s. (PandocMonad m, HasMacros s, HasReaderOptions s) => ParsecT Sources s m Text #

rawLaTeXBlock :: forall (m :: Type -> Type) s. (PandocMonad m, HasMacros s, HasReaderOptions s) => ParsecT Sources s m Text #

inlineCommand :: forall (m :: Type -> Type). PandocMonad m => ParsecT Sources ParserState m Inlines #